<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class HistorySyncMessageAccessStatus extends \Google\Protobuf\Internal\Message
{
    


    protected $completeAccessGranted = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getCompleteAccessGranted()
    {
        return isset($this->completeAccessGranted) ? $this->completeAccessGranted : false;
    }

    public function hasCompleteAccessGranted()
    {
        return isset($this->completeAccessGranted);
    }

    public function clearCompleteAccessGranted()
    {
        unset($this->completeAccessGranted);
    }

    




    public function setCompleteAccessGranted($var)
    {
        GPBUtil::checkBool($var);
        $this->completeAccessGranted = $var;

        return $this;
    }

}

